import { Component, ViewChild, TemplateRef, ChangeDetectorRef } from '@angular/core';


@Component({
  selector: 'c3-tooltip',
  templateUrl: './c3-tooltip.component.html',
  styleUrls: ['./c3-tooltip.component.css'],
  exportAs: 'c3Tooltip'
})
export class C3Tooltip {
  @ViewChild(TemplateRef, { read: false }) template: TemplateRef<any>;

  /** Classes to be added to the tooltip. Supports the same syntax as `ngClass`. */
  tooltipClass: string | string[] | Set<string> | { [key: string]: any };

  constructor(private _changeDetectorRef: ChangeDetectorRef) { }

  _markForCheck(): void {
    this._changeDetectorRef.markForCheck();
  }
}
